// file: spmtch_debug_0.cc
//

// isip include files
//
#include "subpath_match.h"
#include "subpath_match_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Subpath_match::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s start_time_d = %ld\n", SUBPATH_MATCH_CLASS_NAME,
	  message_a, start_time_d);
  fprintf(fp_a, "%s::%s end_time_d = %ld\n", SUBPATH_MATCH_CLASS_NAME,
	  message_a, end_time_d);
  fprintf(fp_a, "%s::%s score_d = %f\n", SUBPATH_MATCH_CLASS_NAME,
	  message_a, score_d);
  fprintf(fp_a, "%s::%s num_models_d = %ld\n", SUBPATH_MATCH_CLASS_NAME,
	  message_a, num_models_d);
  fprintf(fp_a, "%s::%s start_time_pad_d = %ld\n", SUBPATH_MATCH_CLASS_NAME,
	  message_a, start_time_pad_d);
  fprintf(fp_a, "%s::%s end_time_pad_d = %ld\n", SUBPATH_MATCH_CLASS_NAME,
	  message_a, end_time_pad_d);
      
  // exit gracefully
  //
  return ISIP_TRUE;
}
